package com.nisum.mytime.controller;

import java.util.List;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Skill;
import com.nisum.mytime.service.impl.SkillService;

@RestController
public class SkillController {

	@Autowired
	SkillService skillService;

	// @RequestMapping(value = "/getSkills", method = RequestMethod.GET,
	// produces = MediaType.APPLICATION_JSON_VALUE)
	@RequestMapping(value = "/employees/skills/", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
	public ResponseEntity<List<String>> getTechnologies() throws MyTimeException {
		List<String> technologies = skillService.getTechnologies().stream()
				.filter(e -> "Y".equalsIgnoreCase(e.getActiveStatus())).map(Skill::getSkillName).sorted()
				.collect(Collectors.toList());
		return new ResponseEntity<>(technologies, HttpStatus.OK);

	}
}
